Get versioned COMPOSITION revision history
Retrieves revision history of the VERSIONED_COMPOSITION identified by versioned_object_uid and associated with the EHR identified by ehr_id.
Path Parameters
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: string
versioned _object _uid requiredVERSIONED_COMPOSITION identifier taken from VERSIONED_COMPOSITION.uid.value.
Responses
- application/json
404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when theversioned_object_uiddoes not exist.
Request Example for get/ehr/{ehr_id}/versioned_composition/{versioned_object_uid}/revision_history
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/versioned_composition/8849182c-82ad-4088-a07f-48ead4180515/revision_history
{
"items": [
{
"version_id": {
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"audits": [
{
"system_id": "d60e2348-b083-48ce-93b9-916cef1d3a5a",
"time_committed": {
"value": "2015-01-20T19:30:22.765+01:00"
},
"change_type": {
"value": "creation",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "249"
}
},
"description": {
"value": "An optional description string"
},
"committer": {
"_type": "PARTY_IDENTIFIED",
"name": "A user name"
}
}
]
}
]
}